Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 21 Jan 2021 09:56:17 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I am at the store in Jeddah Haye Rehab branch at the moment waiting in the queue of cashier out of 10 cashier terminal only one is operating when I spoke to duty manager about it he said if you don’t like it you can go this is worst thing i ever experienced I will never come back to this shit place call centrepoint! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1964876